CMSIS-DSP: Weighted Sum

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Weighted Sum
Support Functions

## Functions

float16_t | arm_weighted_sum_f16 (const float16_t *in, const float16_t *weigths, uint32_t blockSize)
| Weighted sum. More...
float32_t | arm_weighted_sum_f32 (const float32_t *in, const float32_t *weigths, uint32_t blockSize)
| Weighted sum. More...

## Description

Weighted sum of values

## Function Documentation

float16_t arm_weighted_sum_f16 | ( | const float16_t * | in,
|  | const float16_t * | weigths,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | *in | Array of input values.
  [in] | *weigths | Weights
  [in] | blockSize | Number of samples in the input array.

Returns
  Weighted sum

float32_t arm_weighted_sum_f32 | ( | const float32_t * | in,
|  | const float32_t * | weigths,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | *in | Array of input values.
  [in] | *weigths | Weights
  [in] | blockSize | Number of samples in the input array.

Returns
  Weighted sum